Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools.dbloader
Class DbTypeMapping

    java.lang.Object
      org.jasig.portal.tools.dbloader.DbTypeMapping

    public class DbTypeMapping

extends java.lang.Object

Holds mapping information from generic data types for table columns to specific types for different databases.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net, Mark Boyd

Field Summary
`(package private) java.lang.String` | `dbName`
`(package private) java.lang.String` | `dbVersion`
`(package private) java.lang.String` | `driverName`
`(package private) java.lang.String` | `driverVersion`
`(package private) java.util.ArrayList` | `types`

Constructor Summary
`DbTypeMapping()`

Method Summary
`void` | `addType(Type type)`
`java.lang.String` | `getDbName()`
`java.lang.String` | `getDbVersion()`
`java.lang.String` | `getDriverName()`
`java.lang.String` | `getDriverVersion()`
`java.lang.String` | `getMappedDataTypeName(java.lang.String genericDataTypeName)`
`java.util.ArrayList` | `getTypes()`
`void` | `setDbName(java.lang.String dbName)`
`void` | `setDbVersion(java.lang.String dbVersion)`
`void` | `setDriverName(java.lang.String driverName)`
`void` | `setDriverVersion(java.lang.String driverVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dbName

    java.lang.String dbName

### dbVersion

    java.lang.String dbVersion

### driverName

    java.lang.String driverName

### driverVersion

    java.lang.String driverVersion

### types

    java.util.ArrayList types

Constructor Detail

### DbTypeMapping

    public DbTypeMapping()

Method Detail

### getDbName

    public java.lang.String getDbName()

### getDbVersion

    public java.lang.String getDbVersion()

### getDriverName

    public java.lang.String getDriverName()

### getDriverVersion

    public java.lang.String getDriverVersion()

### getTypes

    public java.util.ArrayList getTypes()

### setDbName

    public void setDbName(java.lang.String dbName)

### setDbVersion

    public void setDbVersion(java.lang.String dbVersion)

### setDriverName

    public void setDriverName(java.lang.String driverName)

### setDriverVersion

    public void setDriverVersion(java.lang.String driverVersion)

### addType

    public void addType(Type type)

### getMappedDataTypeName

    public java.lang.String getMappedDataTypeName(java.lang.String genericDataTypeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD